Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items (cmds, not files)

From: Juri Linkov <[email-masked]>
Date: Sun, 03 Oct 2021 21:53:00 +0300

>> +                  (not (with-demoted-errrs
>> +                           ;; Ignore errors in context-menu.
>> +                           (where-is-internal sym nil t)))
>
> Please provide the FORMAT arg to `with-demoted-errors`.

Oops, I noticed incorrect indentation of the macro body,
but not realized it wants an argument.  I should have tested it,
sorry.

Now that I've tested it, I see no effect from with-demoted-errors.
When debug-on-error is t, it still raises the *Backtrace* buffer.
When debug-on-error is nil, it works fine in both reported cases
even without with-demoted-errors, and displays such a suggested key
in M-x completions:

  ignore (<XF86WakeUp>)